Bug 217448 - console driver not properly using alternate character set
console driver not properly using alternate character set
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-27 17:41 EST by rich turner
Modified: 2008-01-08 12:18 EST (History)
2 users (show)

See Also:
Fixed In Version: fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 12:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rich turner 2006-11-27 17:41:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061010 Firefox/2.0

Description of problem:
On FedoraCore 6, the console driver is not properly interpreting or 
using the alternate character set mode, which causes all terminfo 
(Ncurses) applications which draw boxes to display improperly. This 
problem does not occur on previous versions of FedoraCore or RHEL. The 
problem also does not occur on FedoraCore 6 when using an xterm or 
native VT100 terminal.



Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6

How reproducible:
Always


Steps to Reproduce:
1. Boot system to init level 3 (no Xwindows)
2. Make sure $TERM is set to "linux"
3. # echo -e "\033[11m\332\304\304\304\277\033[10m"


Actual Results:
just a block displays on the screen. actually, it is multiple blocks that are drawn upon each other.

Expected Results:
cant show it to you here but it should have displayed the alternate character set character for "upper-left corner", followed by 3 horizontal lines, followed by "upper-right corner".

Additional info:
The following escape sequence is output by terminfo when TERM=linux and 
I turn on the alternate character set, display a upper-left corner, 
three vertical lines and an upper-right corner, then turn off the 
alternate character set mode:
# echo -e "\033[11m\332\304\304\304\277\033[10m"
("\033"=ESCAPE character, "["=left_bracket, "\"=backslash)

In this example:
    "\033[11m" turns on alternate character set
    "\332\304\304\304\277" draws UR corner, three vertical lines, UL corner
    "\033[10m" turns off alternate character set

The command "tput smacs" also turns on alternate character set by 
sending the escape sequence provided by terminfo to the screen, and 
"tput rmacs" will turn the mode off. Using "tput smacs >/tmp/out" and 
"od -c /tmp/out" verifies that the correct escape sequences are being 
sent to the display.

The same escape sequences sent to the console on any previous version of 
FedoraCore or RHEL display the box characters properly, but on 
FedoraCore 6, the smacs/rmacs sequence is apparently ignored and the box 
characters therefore display garbage on the console.
Comment 1 Jon Stanley 2008-01-07 20:48:45 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 rich turner 2008-01-08 12:18:25 EST
This issue has been resolved in Fedora 8.

Note You need to log in before you can comment on or make changes to this bug.